SubblySubbly
Log inGet started
  • Get started
  • Developer resources
Storefront API reference
Docs
Information
    Base URLAuthenticationPaginationErrors
Bootstrap
    Get shop info and settings
Product
    Get list of productsGet product by IDGet variant or pricing by IDGet plan by ID
Bundle
    Get list of bundlesGet bundle by IDQuote bundleGet list of bundle group itemsGet list of bundle itemsGet the list of bundle items associated with multiple bundles
Survey
    Get survey by ID
Cart
    Init cartGet cart by IDUpdate cart by IDGet cart gifting datesGet cart start datesGet shipping methodsGet local pickupsValidate the cartAttach the customer to the cart
Cart Item
    Add cart itemUpdate cart itemDelete cart item
Checkout
    Make purchase from the cart
Auth
    LoginOtp LoginOtp GenerateSocial LoginRegisteredRegister
Customer
    Get the current customerGet the current customer referral infoUpdate customer
Address
    Get list of addressStore addressUpdate addressDelete address
Pickup Info
    Get list of pickup infosStore pickup infoUpdate pickup infoDelete pickup info
Wallet
    Store payment methodGet list of payment methodsStore payment methodDelete payment methodSet default payment method
Subscription
    Get list of subscriptionsShow subscriptionUpdate subscriptionUpdate subscription survey preferences by Subscription IDUpdate subscription bundle data by Subscription IDCancel a subscriptionUndo cancellationUndo a scheduled cancellationRequest a cancellationWithdraw a cancellation requestSkip upcoming renewalsPause the subscriptionResume the subscriptionProlong an active skipReactivate the subscriptionUpdate shipping address and methodUpdate subscription payment methodGet shipping methodsGet local pickupsList upcoming billing datesList allowed skipping datesList allowed resume datesChange the plans of the subscription's itemsList the plans the subscription can move toCreate a subscription itemShow a subscription itemUpdate a subscription itemRemove a subscription itemUpdate a subscription item's preferencesUpdate a subscription item's bundleChange the plan of a subscription itemChange the variant of a one-time item
Order
    Get list of ordersGet order by ID
Invoice
    Get list of invoicesGet invoice by ID
Payment Intent
    Confirm payment intentGet payment intent by ID
Funnels
    Get the current pre purchase funnel step by IDRefresh the funnel progressAccept the pre purchase funnel stepReject the pre purchase funnel stepGet the current mid purchase funnel step by IDRefresh the funnel progressAccept the mid purchase funnel stepReject the mid purchase funnel step
Countries
    Get list of countries
Out Of Stock
    Subscribe to the out of stock
Cancellation
    Get shop cancellation reasons
Metafield
    Get shop's metafields
Product Collection
    Get list of product collectionsGet product collection by IDGet list of collection groups with items
Lead
    Store the shop lead

Subscription

Storefront Subscription API endpoints

Endpoints
  • GET/subscriptions
  • GET/subscriptions/{subscription_id}
  • PATCH/subscriptions/{subscription_id}
  • PATCH/subscriptions/{subscription_id}/preferences
  • PATCH/subscriptions/{subscription_id}/bundle
  • POST/subscriptions/{subscription_id}/cancel
  • DELETE/subscriptions/{subscription_id}/undo_cancellation
  • POST/subscriptions/{subscription_id}/undo_set_to_cancel
  • POST/subscriptions/{subscription_id}/cancellation_request
  • POST/subscriptions/{subscription_id}/undo_cancellation_request
  • POST/subscriptions/{subscription_id}/skip
  • POST/subscriptions/{subscription_id}/pause
  • POST/subscriptions/{subscription_id}/resume
  • POST/subscriptions/{subscription_id}/prolong_skipping
  • POST/subscriptions/{subscription_id}/reactivate
  • PATCH/subscriptions/{subscription_id}/address
  • PATCH/subscriptions/{subscription_id}/payment_method
  • GET/subscriptions/{subscription_id}/shipping_methods
  • GET/subscriptions/{subscription_id}/local_pickups
  • GET/subscriptions/{subscription_id}/billing_dates
  • GET/subscriptions/{subscription_id}/skipping_dates
  • GET/subscriptions/{subscription_id}/resume_dates
  • POST/subscriptions/{subscription_id}/change_plans
  • GET/subscriptions/{subscription_id}/plans
  • POST/subscriptions/{subscription_id}/items
  • GET/subscriptions/{subscription_id}/items/{item_id}
  • PATCH/subscriptions/{subscription_id}/items/{item_id}
  • DELETE/subscriptions/{subscription_id}/items/{item_id}
  • PATCH/subscriptions/{subscription_id}/items/{item_id}/preferences
  • PATCH/subscriptions/{subscription_id}/items/{item_id}/bundle
  • POST/subscriptions/{subscription_id}/items/{item_id}/change_plan
  • POST/subscriptions/{subscription_id}/items/{item_id}/change_variant

Get list of subscriptions

GET /subscriptions

An API endpoint to get list of subscriptions.

Query parameters

pageoptionalinteger

Page

per_pageoptionalinteger

Entities per page

statusesoptionalstring[]

Filter by subscription status

pausedoptionalinteger

Filter by the subscription paused flag (0 or 1). Skipping until a date (skipping_until) does not set this flag.

Possible values: 0, 1.

expandoptionalstring[]

Expandable relations

Returnsobject

Subscriptions list response

Error responses

401object

Missing or invalid customer token.

422object

page is not a positive integer, per_page is outside 1-100, statuses is not an array or holds an unknown or duplicate status, paused is not 0 or 1, or expand is not an array.

curl https://api.subbly.co/storefront/v1/subscriptions \ -H 'X-API-KEY: <api-key>' \ -H 'Authorization: Bearer <access-token>'
Response
{ "pagination": { "current_page": 1, "last_page": 2, "from": 1, "to": 1, "total": 20 }, "data": [ { "id": 1, "customer_id": 1, "customer": { "id": 8435732, "first_name": "John", "last_name": "Smith", "email": "test@test.com", "marketing_consent": false, "tos_consent_at": "2022-04-01T00:00:00.000000Z", "active_subscriptions_count": 0, "external_id": "external_id", "metadata": [ {} ], "created_at": "2022-04-01T00:00:00.000000Z" }, "referred_by": 1, "product_id": 1, "product": { "id": 1, "bundle_id": 1, "bundle": {}, "bundle_ruleset_id": 1, "bundle_ruleset": {}, "slug": "yellow-t-shirt-with-pokemon-print", "type": "one_time", "name": "Yellow T-shirt with pokemon print", "description": "Yellow T-shirt with pokemon print", "delivery_info": "Free shipping on orders over $100", "collect_shipping_address": true, "gifting_enabled": true, "digital": false, "images": [ {} ], "metadata": [ {} ], "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z", "pricings": [ {} ], "plans": [ {} ], "change_product_collection_id": 1 }, "quantity": 1, "shipping_address_id": 1, "shipping_address": { "id": 3486, "first_name": "John", "last_name": "Smith", "country_id": 230, "region_id": 1231, "country": "United States", "region": "California", "phone": "+13232380656", "company_name": null, "address_one": "7609 Mckinley Ave", "address_two": null, "city": "Los Angeles", "zip": "90044" }, "shipping_method_id": 1, "shipping_method": { "id": 1, "type": "shipping_option", "method": {} }, "billing_address_id": 1, "billing_address": { "id": 3486, "first_name": "John", "last_name": "Smith", "country_id": 230, "region_id": 1231, "country": "United States", "region": "California", "phone": "+13232380656", "company_name": null, "address_one": "7609 Mckinley Ave", "address_two": null, "city": "Los Angeles", "zip": "90044" }, "payment_method_id": 1, "payment_method": { "id": 567, "type": "card", "identifier": "4242", "card": { "last_four": "4242", "expiry_month": "2", "expiry_year": "2099", "type": "credit", "brand": "visa" }, "ideal": { "bank": "ING", "bic": "INGBNL2A", "email": "test@subbly.co", "name": "John Doe" }, "bancontact": { "email": "test@subbly.co", "name": "John Doe" }, "acss_debit": { "email": "test@subbly.co", "name": "John Doe", "bank_name": "Royal Bank of Canada", "transit_number": "12345", "institution_number": "123", "last_four": "6789" }, "us_bank_account": { "email": "test@subbly.co", "name": "John Doe", "bank_name": "US Bank", "last_four": "6789", "routing_number": "123456789", "account_type": "checking", "account_holder_type": "individual" }, "sepa_debit": { "email": "test@subbly.co", "name": "John Doe", "iban_last4": "6789", "bank_code": "123456", "country": "DE", "branch_code": "12345" }, "sofort": { "email": "test@subbly.co", "name": "John Doe", "country": "DE" }, "link": { "email": "test@subbly.co", "name": "John Doe" }, "cashapp": { "email": "test@subbly.co", "name": "John Doe", "buyer_id": "cashapp:123456789", "cash_tag": "$subbly" }, "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" }, "currency_code": "USD", "survey": { "version": 2, "survey_id": 1, "data": [ {} ], "items_count": 1, "items": [ { "id": 1, "product_id": 1, "survey_id": 1, "data": [ {} ] } ] }, "preferences": { "version": 2, "survey_id": 1, "data": [ {} ], "items_count": 1, "items": [ { "id": 1, "product_id": 1, "survey_id": 1, "data": [ {} ] } ] }, "bundle": { "preferences": [ {} ], "items": [ {} ] }, "gift": { "message": "message", "starts_at": "2022-02-24T04:00:00.000000Z", "order_limit": 1 }, "commitment_term_total_payments": 1, "cancel_at_end_of_commitment": true, "next_payment_date": "2023-04-23T00:45:00.000000Z", "starts_at": "2023-04-23T00:45:00.000000Z", "past_due": false, "next_shipment_at": "2023-04-23T00:45:00.000000Z", "successful_charges_count": 1, "charges_limit": 1, "status": "active", "cancel_at_period_end": true, "cancellations": [ { "id": 1, "subscription_id": 1, "reason": "reason", "start": "2023-04-23T00:45:00.000000Z", "end": "2023-04-23T00:45:00.000000Z", "extra_feedback": "extra_feedback", "reason_submitted_on": "2023-04-23T00:45:00.000000Z", "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" } ], "discounts": [ { "id": 1, "customer_id": 1, "amount_off": 1, "percent_off": 1, "coupon_id": 1, "coupon": {}, "start": "2023-04-23T00:45:00.000000Z", "end": "2023-04-23T00:45:00.000000Z", "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" } ], "addons": [ { "id": 1, "subscription_id": 1, "product_id": 1, "product": {}, "duration": 1, "quantity": 1, "addon": true, "origin": "coupon", "preferences": {}, "bundle": {}, "actions": { "remove": { "allowed": true }, "change_quantity": { "allowed": false }, "change_plan": { "allowed": true } }, "discounts": [ {} ], "metadata": [ {} ], "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" } ], "items": [ { "id": 1, "subscription_id": 1, "product_id": 1, "product": {}, "duration": 1, "quantity": 1, "addon": true, "origin": "coupon", "preferences": {}, "bundle": {}, "actions": { "remove": { "allowed": true }, "change_quantity": { "allowed": false }, "change_plan": { "allowed": true } }, "discounts": [ {} ], "metadata": [ {} ], "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" } ], "actions": { "cancel": { "allowed": true }, "set_to_cancel": { "allowed": false }, "undo_set_to_cancel": { "allowed": false }, "cancellation_request": { "allowed": false }, "undo_cancellation_request": { "allowed": false }, "undo_cancellation": { "allowed": false }, "pause": { "allowed": false }, "resume": { "allowed": false }, "skip": { "allowed": false }, "prolong_skipping": { "allowed": false }, "reactivate": { "allowed": false }, "update_address": { "allowed": true }, "update_payment_method": { "allowed": true }, "add_one_time_item": { "allowed": false }, "add_subscription_item": { "allowed": true }, "change_billing_cycle": { "allowed": true } }, "metadata": [ { "id": 1, "name": "Color", "slug": "color-red", "description": "description", "unit": "kg", "data_type": "single_line_string", "preset": true, "multiple": true, "variant": true, "save_behavior": "customer", "editable": true, "values": [ {} ] } ], "active": true, "paused": false, "paused_at": null, "skipping_until": null, "last_payment_at": "2023-04-23T00:45:00.000000Z", "unpaid": false, "cancellation_requested": false, "waiting_until": null, "cancelled_at": null, "switched_at": null, "previous_subscription_id": null, "skipping_prolonged": false, "test": false, "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" } ] }

Show subscription

GET /subscriptions/{subscription_id}

An api call to show the subscription.

Path parameters

subscription_idRequiredinteger

Subscription ID

Query parameters

expandoptionalstring[]

Expandable relations

ReturnsSubscription

Subscription object response

Error responses

401object

Missing or invalid customer token.

404object

No subscription with this ID exists, or it belongs to another customer.

422object

expand is not an array.

curl https://api.subbly.co/storefront/v1/subscriptions/{subscription_id} \ -H 'X-API-KEY: <api-key>' \ -H 'Authorization: Bearer <access-token>'
Response
{ "id": 1, "customer_id": 1, "customer": { "id": 8435732, "first_name": "John", "last_name": "Smith", "email": "test@test.com", "marketing_consent": false, "tos_consent_at": "2022-04-01T00:00:00.000000Z", "active_subscriptions_count": 0, "external_id": "external_id", "metadata": [ {} ], "created_at": "2022-04-01T00:00:00.000000Z" }, "referred_by": 1, "product_id": 1, "product": { "id": 1, "bundle_id": 1, "bundle": {}, "bundle_ruleset_id": 1, "bundle_ruleset": {}, "slug": "yellow-t-shirt-with-pokemon-print", "type": "one_time", "name": "Yellow T-shirt with pokemon print", "description": "Yellow T-shirt with pokemon print", "delivery_info": "Free shipping on orders over $100", "collect_shipping_address": true, "gifting_enabled": true, "digital": false, "images": [ {} ], "metadata": [ {} ], "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z", "pricings": [ {} ], "plans": [ {} ], "change_product_collection_id": 1 }, "quantity": 1, "shipping_address_id": 1, "shipping_address": { "id": 3486, "first_name": "John", "last_name": "Smith", "country_id": 230, "region_id": 1231, "country": "United States", "region": "California", "phone": "+13232380656", "company_name": null, "address_one": "7609 Mckinley Ave", "address_two": null, "city": "Los Angeles", "zip": "90044" }, "shipping_method_id": 1, "shipping_method": { "id": 1, "type": "shipping_option", "method": {} }, "billing_address_id": 1, "billing_address": { "id": 3486, "first_name": "John", "last_name": "Smith", "country_id": 230, "region_id": 1231, "country": "United States", "region": "California", "phone": "+13232380656", "company_name": null, "address_one": "7609 Mckinley Ave", "address_two": null, "city": "Los Angeles", "zip": "90044" }, "payment_method_id": 1, "payment_method": { "id": 567, "type": "card", "identifier": "4242", "card": { "last_four": "4242", "expiry_month": "2", "expiry_year": "2099", "type": "credit", "brand": "visa" }, "ideal": { "bank": "ING", "bic": "INGBNL2A", "email": "test@subbly.co", "name": "John Doe" }, "bancontact": { "email": "test@subbly.co", "name": "John Doe" }, "acss_debit": { "email": "test@subbly.co", "name": "John Doe", "bank_name": "Royal Bank of Canada", "transit_number": "12345", "institution_number": "123", "last_four": "6789" }, "us_bank_account": { "email": "test@subbly.co", "name": "John Doe", "bank_name": "US Bank", "last_four": "6789", "routing_number": "123456789", "account_type": "checking", "account_holder_type": "individual" }, "sepa_debit": { "email": "test@subbly.co", "name": "John Doe", "iban_last4": "6789", "bank_code": "123456", "country": "DE", "branch_code": "12345" }, "sofort": { "email": "test@subbly.co", "name": "John Doe", "country": "DE" }, "link": { "email": "test@subbly.co", "name": "John Doe" }, "cashapp": { "email": "test@subbly.co", "name": "John Doe", "buyer_id": "cashapp:123456789", "cash_tag": "$subbly" }, "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" }, "currency_code": "USD", "survey": { "version": 2, "survey_id": 1, "data": [ {} ], "items_count": 1, "items": [ { "id": 1, "product_id": 1, "survey_id": 1, "data": [ {} ] } ] }, "preferences": { "version": 2, "survey_id": 1, "data": [ {} ], "items_count": 1, "items": [ { "id": 1, "product_id": 1, "survey_id": 1, "data": [ {} ] } ] }, "bundle": { "preferences": [ {} ], "items": [ {} ] }, "gift": { "message": "message", "starts_at": "2022-02-24T04:00:00.000000Z", "order_limit": 1 }, "commitment_term_total_payments": 1, "cancel_at_end_of_commitment": true, "next_payment_date": "2023-04-23T00:45:00.000000Z", "starts_at": "2023-04-23T00:45:00.000000Z", "past_due": false, "next_shipment_at": "2023-04-23T00:45:00.000000Z", "successful_charges_count": 1, "charges_limit": 1, "status": "active", "cancel_at_period_end": true, "cancellations": [ { "id": 1, "subscription_id": 1, "reason": "reason", "start": "2023-04-23T00:45:00.000000Z", "end": "2023-04-23T00:45:00.000000Z", "extra_feedback": "extra_feedback", "reason_submitted_on": "2023-04-23T00:45:00.000000Z", "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" } ], "discounts": [ { "id": 1, "customer_id": 1, "amount_off": 1, "percent_off": 1, "coupon_id": 1, "coupon": {}, "start": "2023-04-23T00:45:00.000000Z", "end": "2023-04-23T00:45:00.000000Z", "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" } ], "addons": [ { "id": 1, "subscription_id": 1, "product_id": 1, "product": {}, "duration": 1, "quantity": 1, "addon": true, "origin": "coupon", "preferences": {}, "bundle": {}, "actions": { "remove": { "allowed": true }, "change_quantity": { "allowed": false }, "change_plan": { "allowed": true } }, "discounts": [ {} ], "metadata": [ {} ], "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" } ], "items": [ { "id": 1, "subscription_id": 1, "product_id": 1, "product": {}, "duration": 1, "quantity": 1, "addon": true, "origin": "coupon", "preferences": {}, "bundle": {}, "actions": { "remove": { "allowed": true }, "change_quantity": { "allowed": false }, "change_plan": { "allowed": true } }, "discounts": [ {} ], "metadata": [ {} ], "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" } ], "actions": { "cancel": { "allowed": true }, "set_to_cancel": { "allowed": false }, "undo_set_to_cancel": { "allowed": false }, "cancellation_request": { "allowed": false }, "undo_cancellation_request": { "allowed": false }, "undo_cancellation": { "allowed": false }, "pause": { "allowed": false }, "resume": { "allowed": false }, "skip": { "allowed": false }, "prolong_skipping": { "allowed": false }, "reactivate": { "allowed": false }, "update_address": { "allowed": true }, "update_payment_method": { "allowed": true }, "add_one_time_item": { "allowed": false }, "add_subscription_item": { "allowed": true }, "change_billing_cycle": { "allowed": true } }, "metadata": [ { "id": 1, "name": "Color", "slug": "color-red", "description": "description", "unit": "kg", "data_type": "single_line_string", "preset": true, "multiple": true, "variant": true, "save_behavior": "customer", "editable": true, "values": [ {} ] } ], "active": true, "paused": false, "paused_at": null, "skipping_until": null, "last_payment_at": "2023-04-23T00:45:00.000000Z", "unpaid": false, "cancellation_requested": false, "waiting_until": null, "cancelled_at": null, "switched_at": null, "previous_subscription_id": null, "skipping_prolonged": false, "test": false, "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" }

Update subscription

PATCH /subscriptions/{subscription_id}

An api call to update the subscription. product_id is deprecated: it runs as POST /subscriptions/{subscription_id}/change_plans with one pick for the subscription's only subscription item, in the same request as the other fields.

Path parameters

subscription_idRequiredinteger

Subscription ID

Request body

Update subscription

product_idoptionalintegerDeprecated

Deprecated: use POST /subscriptions/{subscription_id}/change_plans. Runs as one pick for the subscription's only subscription item. The plan must be a published, non-archived subscription plan of the shop, and either share the current plan's parent product or sit in the current product's change-product collection. Configurable bundles are not allowed through the collection, and a sibling on another configurable bundle needs its contents picked through POST /subscriptions/{subscription_id}/items/{item_id}/change_plan. Rejected for subscriptions with multiple subscription items โ€” change the plans per item via POST /subscriptions/{subscription_id}/change_plans.

gift_recipient_emailoptionalstring | null

Email of the gift recipient. Send null to clear it.

Format: email.

gift_messageoptionalstring | null

Gift message. Send null to clear it.

quantityoptionalintegerDeprecated

Subscription-level quantity. Rejected for subscriptions with multiple subscription items โ€” update the quantity per item via PATCH /subscriptions/{subscription_id}/items/{item_id}.

metadataoptionalobject[] | null

List of metadata and their values

ReturnsSubscription

Subscription object response

Error responses

400object

The subscription is not active (subscription_not_active). With product_id, the guards of POST /subscriptions/{subscription_id}/change_plans apply as well: the subscription is paused (subscription_paused) or skipping (already_skipping), or the shop does not allow plan changes (plan_change_disabled). The write refuses the pick when it re-checks it under the lock: another subscription item is on another billing cycle (plan_change_items_left_behind, "Item 2 must also be moved to a plan with the same billing cycle.").

401object

Missing or invalid customer token.

404object

No subscription with this ID exists, or it belongs to another customer.

422object

product_id is not a published subscription variant of the shop, is not a valid product change for this subscription (not a sibling variant and not in the change-product collection, a configurable bundle, or on the other membership kind: "The selected plan is not available for this item."), is a configurable bundle other than the current one ("The selected plan needs new bundle contents. Pick it with its contents using POST subscriptions/{subscription}/items/{item}/change_plan."), or the subscription has several subscription items ("This subscription has multiple subscription items. Change the plans per item using POST subscriptions/{subscription}/change_plans."); quantity is below 1, above 1 when the shop turns off the subscription quantity selector, or the subscription has several subscription items ("This subscription has multiple subscription items. Update quantity per item using PATCH subscriptions/{subscription}/items/{item}."); metadata holds an unknown, duplicate or wrongly typed metadata entry, or adds, changes or removes a non-editable one; gift_recipient_email is not a valid email; or gift_message is longer than 255 characters.

curl -X PATCH https://api.subbly.co/storefront/v1/subscriptions/{subscription_id} \ -H 'X-API-KEY: <api-key>' \ -H 'Authorization: Bearer <access-token>' \ -H 'Content-Type: application/json' \ -d '{ "product_id": 1, "gift_recipient_email": "customer@example.com", "gift_message": "gift_message", "quantity": 1, "metadata": [ { "id": 1, "values": [ { "id": 10, "value": "Blue" } ] } ] }'
Response
{ "id": 1, "customer_id": 1, "customer": { "id": 8435732, "first_name": "John", "last_name": "Smith", "email": "test@test.com", "marketing_consent": false, "tos_consent_at": "2022-04-01T00:00:00.000000Z", "active_subscriptions_count": 0, "external_id": "external_id", "metadata": [ {} ], "created_at": "2022-04-01T00:00:00.000000Z" }, "referred_by": 1, "product_id": 1, "product": { "id": 1, "bundle_id": 1, "bundle": {}, "bundle_ruleset_id": 1, "bundle_ruleset": {}, "slug": "yellow-t-shirt-with-pokemon-print", "type": "one_time", "name": "Yellow T-shirt with pokemon print", "description": "Yellow T-shirt with pokemon print", "delivery_info": "Free shipping on orders over $100", "collect_shipping_address": true, "gifting_enabled": true, "digital": false, "images": [ {} ], "metadata": [ {} ], "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z", "pricings": [ {} ], "plans": [ {} ], "change_product_collection_id": 1 }, "quantity": 1, "shipping_address_id": 1, "shipping_address": { "id": 3486, "first_name": "John", "last_name": "Smith", "country_id": 230, "region_id": 1231, "country": "United States", "region": "California", "phone": "+13232380656", "company_name": null, "address_one": "7609 Mckinley Ave", "address_two": null, "city": "Los Angeles", "zip": "90044" }, "shipping_method_id": 1, "shipping_method": { "id": 1, "type": "shipping_option", "method": {} }, "billing_address_id": 1, "billing_address": { "id": 3486, "first_name": "John", "last_name": "Smith", "country_id": 230, "region_id": 1231, "country": "United States", "region": "California", "phone": "+13232380656", "company_name": null, "address_one": "7609 Mckinley Ave", "address_two": null, "city": "Los Angeles", "zip": "90044" }, "payment_method_id": 1, "payment_method": { "id": 567, "type": "card", "identifier": "4242", "card": { "last_four": "4242", "expiry_month": "2", "expiry_year": "2099", "type": "credit", "brand": "visa" }, "ideal": { "bank": "ING", "bic": "INGBNL2A", "email": "test@subbly.co", "name": "John Doe" }, "bancontact": { "email": "test@subbly.co", "name": "John Doe" }, "acss_debit": { "email": "test@subbly.co", "name": "John Doe", "bank_name": "Royal Bank of Canada", "transit_number": "12345", "institution_number": "123", "last_four": "6789" }, "us_bank_account": { "email": "test@subbly.co", "name": "John Doe", "bank_name": "US Bank", "last_four": "6789", "routing_number": "123456789", "account_type": "checking", "account_holder_type": "individual" }, "sepa_debit": { "email": "test@subbly.co", "name": "John Doe", "iban_last4": "6789", "bank_code": "123456", "country": "DE", "branch_code": "12345" }, "sofort": { "email": "test@subbly.co", "name": "John Doe", "country": "DE" }, "link": { "email": "test@subbly.co", "name": "John Doe" }, "cashapp": { "email": "test@subbly.co", "name": "John Doe", "buyer_id": "cashapp:123456789", "cash_tag": "$subbly" }, "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" }, "currency_code": "USD", "survey": { "version": 2, "survey_id": 1, "data": [ {} ], "items_count": 1, "items": [ { "id": 1, "product_id": 1, "survey_id": 1, "data": [ {} ] } ] }, "preferences": { "version": 2, "survey_id": 1, "data": [ {} ], "items_count": 1, "items": [ { "id": 1, "product_id": 1, "survey_id": 1, "data": [ {} ] } ] }, "bundle": { "preferences": [ {} ], "items": [ {} ] }, "gift": { "message": "message", "starts_at": "2022-02-24T04:00:00.000000Z", "order_limit": 1 }, "commitment_term_total_payments": 1, "cancel_at_end_of_commitment": true, "next_payment_date": "2023-04-23T00:45:00.000000Z", "starts_at": "2023-04-23T00:45:00.000000Z", "past_due": false, "next_shipment_at": "2023-04-23T00:45:00.000000Z", "successful_charges_count": 1, "charges_limit": 1, "status": "active", "cancel_at_period_end": true, "cancellations": [ { "id": 1, "subscription_id": 1, "reason": "reason", "start": "2023-04-23T00:45:00.000000Z", "end": "2023-04-23T00:45:00.000000Z", "extra_feedback": "extra_feedback", "reason_submitted_on": "2023-04-23T00:45:00.000000Z", "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" } ], "discounts": [ { "id": 1, "customer_id": 1, "amount_off": 1, "percent_off": 1, "coupon_id": 1, "coupon": {}, "start": "2023-04-23T00:45:00.000000Z", "end": "2023-04-23T00:45:00.000000Z", "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" } ], "addons": [ { "id": 1, "subscription_id": 1, "product_id": 1, "product": {}, "duration": 1, "quantity": 1, "addon": true, "origin": "coupon", "preferences": {}, "bundle": {}, "actions": { "remove": { "allowed": true }, "change_quantity": { "allowed": false }, "change_plan": { "allowed": true } }, "discounts": [ {} ], "metadata": [ {} ], "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" } ], "items": [ { "id": 1, "subscription_id": 1, "product_id": 1, "product": {}, "duration": 1, "quantity": 1, "addon": true, "origin": "coupon", "preferences": {}, "bundle": {}, "actions": { "remove": { "allowed": true }, "change_quantity": { "allowed": false }, "change_plan": { "allowed": true } }, "discounts": [ {} ], "metadata": [ {} ], "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" } ], "actions": { "cancel": { "allowed": true }, "set_to_cancel": { "allowed": false }, "undo_set_to_cancel": { "allowed": false }, "cancellation_request": { "allowed": false }, "undo_cancellation_request": { "allowed": false }, "undo_cancellation": { "allowed": false }, "pause": { "allowed": false }, "resume": { "allowed": false }, "skip": { "allowed": false }, "prolong_skipping": { "allowed": false }, "reactivate": { "allowed": false }, "update_address": { "allowed": true }, "update_payment_method": { "allowed": true }, "add_one_time_item": { "allowed": false }, "add_subscription_item": { "allowed": true }, "change_billing_cycle": { "allowed": true } }, "metadata": [ { "id": 1, "name": "Color", "slug": "color-red", "description": "description", "unit": "kg", "data_type": "single_line_string", "preset": true, "multiple": true, "variant": true, "save_behavior": "customer", "editable": true, "values": [ {} ] } ], "active": true, "paused": false, "paused_at": null, "skipping_until": null, "last_payment_at": "2023-04-23T00:45:00.000000Z", "unpaid": false, "cancellation_requested": false, "waiting_until": null, "cancelled_at": null, "switched_at": null, "previous_subscription_id": null, "skipping_prolonged": false, "test": false, "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" }

Update subscription survey preferences by Subscription ID

PATCH /subscriptions/{subscription_id}/preferences

Deprecated. Do not use it in new integrations.

Update the subscription survey preferences.

Deprecated. This endpoint operates on the subscription as a whole and is not available for subscriptions that have multiple subscription items โ€” for those it responds with 410 Gone (error code endpoint_deprecated). Use PATCH /subscriptions/{subscription_id}/items/{item_id}/preferences instead.

Path parameters

subscription_idRequiredinteger

Subscription ID

Request body

Update subscription survey preferences

preferencesRequiredobject[]
update_ordersoptionalboolean

Update order preferences in the awaiting_delivery and future_shipment status. Allowed when the survey appearance type is after checkout, or when the sync_orders_preferences_on_subscription_update shop setting is enabled.

ReturnsSubscription

Subscription object response

Error responses

400object

The subscription is not active (subscription_not_active), or a chosen answer is out of stock (out_of_stock).

404object

No subscription with this ID exists, or it belongs to another customer.

410object

Endpoint deprecated for this subscription. Returned when the subscription has multiple subscription items โ€” use the per-item preferences endpoint.

curl -X PATCH https://api.subbly.co/storefront/v1/subscriptions/{subscription_id}/preferences \ -H 'X-API-KEY: <api-key>' \ -H 'Authorization: Bearer <access-token>' \ -H 'Content-Type: application/json' \ -d '{ "preferences": [ { "question_id": 1, "answers": [ { "id": 1, "content": "content", "quantity": 1 } ] } ], "update_orders": true }'
Response
{ "id": 1, "customer_id": 1, "customer": { "id": 8435732, "first_name": "John", "last_name": "Smith", "email": "test@test.com", "marketing_consent": false, "tos_consent_at": "2022-04-01T00:00:00.000000Z", "active_subscriptions_count": 0, "external_id": "external_id", "metadata": [ {} ], "created_at": "2022-04-01T00:00:00.000000Z" }, "referred_by": 1, "product_id": 1, "product": { "id": 1, "bundle_id": 1, "bundle": {}, "bundle_ruleset_id": 1, "bundle_ruleset": {}, "slug": "yellow-t-shirt-with-pokemon-print", "type": "one_time", "name": "Yellow T-shirt with pokemon print", "description": "Yellow T-shirt with pokemon print", "delivery_info": "Free shipping on orders over $100", "collect_shipping_address": true, "gifting_enabled": true, "digital": false, "images": [ {} ], "metadata": [ {} ], "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z", "pricings": [ {} ], "plans": [ {} ], "change_product_collection_id": 1 }, "quantity": 1, "shipping_address_id": 1, "shipping_address": { "id": 3486, "first_name": "John", "last_name": "Smith", "country_id": 230, "region_id": 1231, "country": "United States", "region": "California", "phone": "+13232380656", "company_name": null, "address_one": "7609 Mckinley Ave", "address_two": null, "city": "Los Angeles", "zip": "90044" }, "shipping_method_id": 1, "shipping_method": { "id": 1, "type": "shipping_option", "method": {} }, "billing_address_id": 1, "billing_address": { "id": 3486, "first_name": "John", "last_name": "Smith", "country_id": 230, "region_id": 1231, "country": "United States", "region": "California", "phone": "+13232380656", "company_name": null, "address_one": "7609 Mckinley Ave", "address_two": null, "city": "Los Angeles", "zip": "90044" }, "payment_method_id": 1, "payment_method": { "id": 567, "type": "card", "identifier": "4242", "card": { "last_four": "4242", "expiry_month": "2", "expiry_year": "2099", "type": "credit", "brand": "visa" }, "ideal": { "bank": "ING", "bic": "INGBNL2A", "email": "test@subbly.co", "name": "John Doe" }, "bancontact": { "email": "test@subbly.co", "name": "John Doe" }, "acss_debit": { "email": "test@subbly.co", "name": "John Doe", "bank_name": "Royal Bank of Canada", "transit_number": "12345", "institution_number": "123", "last_four": "6789" }, "us_bank_account": { "email": "test@subbly.co", "name": "John Doe", "bank_name": "US Bank", "last_four": "6789", "routing_number": "123456789", "account_type": "checking", "account_holder_type": "individual" }, "sepa_debit": { "email": "test@subbly.co", "name": "John Doe", "iban_last4": "6789", "bank_code": "123456", "country": "DE", "branch_code": "12345" }, "sofort": { "email": "test@subbly.co", "name": "John Doe", "country": "DE" }, "link": { "email": "test@subbly.co", "name": "John Doe" }, "cashapp": { "email": "test@subbly.co", "name": "John Doe", "buyer_id": "cashapp:123456789", "cash_tag": "$subbly" }, "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" }, "currency_code": "USD", "survey": { "version": 2, "survey_id": 1, "data": [ {} ], "items_count": 1, "items": [ { "id": 1, "product_id": 1, "survey_id": 1, "data": [ {} ] } ] }, "preferences": { "version": 2, "survey_id": 1, "data": [ {} ], "items_count": 1, "items": [ { "id": 1, "product_id": 1, "survey_id": 1, "data": [ {} ] } ] }, "bundle": { "preferences": [ {} ], "items": [ {} ] }, "gift": { "message": "message", "starts_at": "2022-02-24T04:00:00.000000Z", "order_limit": 1 }, "commitment_term_total_payments": 1, "cancel_at_end_of_commitment": true, "next_payment_date": "2023-04-23T00:45:00.000000Z", "starts_at": "2023-04-23T00:45:00.000000Z", "past_due": false, "next_shipment_at": "2023-04-23T00:45:00.000000Z", "successful_charges_count": 1, "charges_limit": 1, "status": "active", "cancel_at_period_end": true, "cancellations": [ { "id": 1, "subscription_id": 1, "reason": "reason", "start": "2023-04-23T00:45:00.000000Z", "end": "2023-04-23T00:45:00.000000Z", "extra_feedback": "extra_feedback", "reason_submitted_on": "2023-04-23T00:45:00.000000Z", "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" } ], "discounts": [ { "id": 1, "customer_id": 1, "amount_off": 1, "percent_off": 1, "coupon_id": 1, "coupon": {}, "start": "2023-04-23T00:45:00.000000Z", "end": "2023-04-23T00:45:00.000000Z", "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" } ], "addons": [ { "id": 1, "subscription_id": 1, "product_id": 1, "product": {}, "duration": 1, "quantity": 1, "addon": true, "origin": "coupon", "preferences": {}, "bundle": {}, "actions": { "remove": { "allowed": true }, "change_quantity": { "allowed": false }, "change_plan": { "allowed": true } }, "discounts": [ {} ], "metadata": [ {} ], "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" } ], "items": [ { "id": 1, "subscription_id": 1, "product_id": 1, "product": {}, "duration": 1, "quantity": 1, "addon": true, "origin": "coupon", "preferences": {}, "bundle": {}, "actions": { "remove": { "allowed": true }, "change_quantity": { "allowed": false }, "change_plan": { "allowed": true } }, "discounts": [ {} ], "metadata": [ {} ], "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" } ], "actions": { "cancel": { "allowed": true }, "set_to_cancel": { "allowed": false }, "undo_set_to_cancel": { "allowed": false }, "cancellation_request": { "allowed": false }, "undo_cancellation_request": { "allowed": false }, "undo_cancellation": { "allowed": false }, "pause": { "allowed": false }, "resume": { "allowed": false }, "skip": { "allowed": false }, "prolong_skipping": { "allowed": false }, "reactivate": { "allowed": false }, "update_address": { "allowed": true }, "update_payment_method": { "allowed": true }, "add_one_time_item": { "allowed": false }, "add_subscription_item": { "allowed": true }, "change_billing_cycle": { "allowed": true } }, "metadata": [ { "id": 1, "name": "Color", "slug": "color-red", "description": "description", "unit": "kg", "data_type": "single_line_string", "preset": true, "multiple": true, "variant": true, "save_behavior": "customer", "editable": true, "values": [ {} ] } ], "active": true, "paused": false, "paused_at": null, "skipping_until": null, "last_payment_at": "2023-04-23T00:45:00.000000Z", "unpaid": false, "cancellation_requested": false, "waiting_until": null, "cancelled_at": null, "switched_at": null, "previous_subscription_id": null, "skipping_prolonged": false, "test": false, "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" }

Update subscription bundle data by Subscription ID

PATCH /subscriptions/{subscription_id}/bundle

Deprecated. Do not use it in new integrations.

Deprecated: use POST /subscriptions/{subscription_id}/change_plans with a pick that carries bundle. This route runs as that pick for the subscription's only subscription item (plan_id = product_id when sent, else the current plan), with quantity written to the item in the same request. Only applicable when the subscription has exactly one subscription item; for subscriptions with multiple subscription items update each item's bundle via PATCH /subscriptions/{subscription_id}/items/{item_id}/bundle.

Path parameters

subscription_idRequiredinteger

Subscription ID

Request body

Update subscription bundle data for a single-item subscription. Only applicable when the subscription has exactly one subscription item.

bundleRequiredSubscriptionBundleBody

Bundle payload for the subscription's single subscription item. Rejected for subscriptions that have multiple subscription items โ€” update each item's bundle via PATCH /subscriptions/{subscription_id}/items/{item_id}/bundle.

quantityoptionalinteger | null

Subscription item quantity. Rejected for subscriptions with multiple subscription items โ€” set the quantity per item instead.

product_idoptionalinteger | null

Target subscription product (a product change). Must share the current product's bundle or belong to its change-product collection.

ReturnsSubscription

Subscription object response

Error responses

400object

The subscription is not active (subscription_not_active). The route runs as POST /subscriptions/{subscription_id}/change_plans and takes its guards as well: the subscription is paused (subscription_paused) or skipping (already_skipping), or the shop does not allow plan changes (plan_change_disabled). The write refuses the pick when it re-checks it under the lock: another subscription item is on another billing cycle (plan_change_items_left_behind, "Item 2 must also be moved to a plan with the same billing cycle.").

404object

No subscription with this ID exists, or it belongs to another customer.

422object

bundle is missing or lacks the items key; the product is not a configurable bundle ("The selected product must have a configurable bundle."); bundle.preferences or bundle.items do not fit the bundle; the subscription has several subscription items ("This subscription has multiple subscription items. Update each item's bundle using PATCH subscriptions/{subscription}/items/{item}/bundle."); product_id is missing while the current product is not a configurable bundle, or is not a published subscription variant that shares the bundle or sits in the change-product collection, or is on the other membership kind ("The selected plan is not available for this item."); or quantity is below 1, above 1 when the shop turns off the subscription quantity selector, or the subscription has several subscription items.

curl -X PATCH https://api.subbly.co/storefront/v1/subscriptions/{subscription_id}/bundle \ -H 'X-API-KEY: <api-key>' \ -H 'Authorization: Bearer <access-token>' \ -H 'Content-Type: application/json' \ -d '{ "bundle": { "preferences": [ { "attribute_id": 1, "metafield_id": 1, "values": [ null ] } ], "items": [ { "product_id": 1, "quantity": 1 } ] }, "quantity": 1, "product_id": 1 }'
Response
{ "id": 1, "customer_id": 1, "customer": { "id": 8435732, "first_name": "John", "last_name": "Smith", "email": "test@test.com", "marketing_consent": false, "tos_consent_at": "2022-04-01T00:00:00.000000Z", "active_subscriptions_count": 0, "external_id": "external_id", "metadata": [ {} ], "created_at": "2022-04-01T00:00:00.000000Z" }, "referred_by": 1, "product_id": 1, "product": { "id": 1, "bundle_id": 1, "bundle": {}, "bundle_ruleset_id": 1, "bundle_ruleset": {}, "slug": "yellow-t-shirt-with-pokemon-print", "type": "one_time", "name": "Yellow T-shirt with pokemon print", "description": "Yellow T-shirt with pokemon print", "delivery_info": "Free shipping on orders over $100", "collect_shipping_address": true, "gifting_enabled": true, "digital": false, "images": [ {} ], "metadata": [ {} ], "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z", "pricings": [ {} ], "plans": [ {} ], "change_product_collection_id": 1 }, "quantity": 1, "shipping_address_id": 1, "shipping_address": { "id": 3486, "first_name": "John", "last_name": "Smith", "country_id": 230, "region_id": 1231, "country": "United States", "region": "California", "phone": "+13232380656", "company_name": null, "address_one": "7609 Mckinley Ave", "address_two": null, "city": "Los Angeles", "zip": "90044" }, "shipping_method_id": 1, "shipping_method": { "id": 1, "type": "shipping_option", "method": {} }, "billing_address_id": 1, "billing_address": { "id": 3486, "first_name": "John", "last_name": "Smith", "country_id": 230, "region_id": 1231, "country": "United States", "region": "California", "phone": "+13232380656", "company_name": null, "address_one": "7609 Mckinley Ave", "address_two": null, "city": "Los Angeles", "zip": "90044" }, "payment_method_id": 1, "payment_method": { "id": 567, "type": "card", "identifier": "4242", "card": { "last_four": "4242", "expiry_month": "2", "expiry_year": "2099", "type": "credit", "brand": "visa" }, "ideal": { "bank": "ING", "bic": "INGBNL2A", "email": "test@subbly.co", "name": "John Doe" }, "bancontact": { "email": "test@subbly.co", "name": "John Doe" }, "acss_debit": { "email": "test@subbly.co", "name": "John Doe", "bank_name": "Royal Bank of Canada", "transit_number": "12345", "institution_number": "123", "last_four": "6789" }, "us_bank_account": { "email": "test@subbly.co", "name": "John Doe", "bank_name": "US Bank", "last_four": "6789", "routing_number": "123456789", "account_type": "checking", "account_holder_type": "individual" }, "sepa_debit": { "email": "test@subbly.co", "name": "John Doe", "iban_last4": "6789", "bank_code": "123456", "country": "DE", "branch_code": "12345" }, "sofort": { "email": "test@subbly.co", "name": "John Doe", "country": "DE" }, "link": { "email": "test@subbly.co", "name": "John Doe" }, "cashapp": { "email": "test@subbly.co", "name": "John Doe", "buyer_id": "cashapp:123456789", "cash_tag": "$subbly" }, "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" }, "currency_code": "USD", "survey": { "version": 2, "survey_id": 1, "data": [ {} ], "items_count": 1, "items": [ { "id": 1, "product_id": 1, "survey_id": 1, "data": [ {} ] } ] }, "preferences": { "version": 2, "survey_id": 1, "data": [ {} ], "items_count": 1, "items": [ { "id": 1, "product_id": 1, "survey_id": 1, "data": [ {} ] } ] }, "bundle": { "preferences": [ {} ], "items": [ {} ] }, "gift": { "message": "message", "starts_at": "2022-02-24T04:00:00.000000Z", "order_limit": 1 }, "commitment_term_total_payments": 1, "cancel_at_end_of_commitment": true, "next_payment_date": "2023-04-23T00:45:00.000000Z", "starts_at": "2023-04-23T00:45:00.000000Z", "past_due": false, "next_shipment_at": "2023-04-23T00:45:00.000000Z", "successful_charges_count": 1, "charges_limit": 1, "status": "active", "cancel_at_period_end": true, "cancellations": [ { "id": 1, "subscription_id": 1, "reason": "reason", "start": "2023-04-23T00:45:00.000000Z", "end": "2023-04-23T00:45:00.000000Z", "extra_feedback": "extra_feedback", "reason_submitted_on": "2023-04-23T00:45:00.000000Z", "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" } ], "discounts": [ { "id": 1, "customer_id": 1, "amount_off": 1, "percent_off": 1, "coupon_id": 1, "coupon": {}, "start": "2023-04-23T00:45:00.000000Z", "end": "2023-04-23T00:45:00.000000Z", "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" } ], "addons": [ { "id": 1, "subscription_id": 1, "product_id": 1, "product": {}, "duration": 1, "quantity": 1, "addon": true, "origin": "coupon", "preferences": {}, "bundle": {}, "actions": { "remove": { "allowed": true }, "change_quantity": { "allowed": false }, "change_plan": { "allowed": true } }, "discounts": [ {} ], "metadata": [ {} ], "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" } ], "items": [ { "id": 1, "subscription_id": 1, "product_id": 1, "product": {}, "duration": 1, "quantity": 1, "addon": true, "origin": "coupon", "preferences": {}, "bundle": {}, "actions": { "remove": { "allowed": true }, "change_quantity": { "allowed": false }, "change_plan": { "allowed": true } }, "discounts": [ {} ], "metadata": [ {} ], "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" } ], "actions": { "cancel": { "allowed": true }, "set_to_cancel": { "allowed": false }, "undo_set_to_cancel": { "allowed": false }, "cancellation_request": { "allowed": false }, "undo_cancellation_request": { "allowed": false }, "undo_cancellation": { "allowed": false }, "pause": { "allowed": false }, "resume": { "allowed": false }, "skip": { "allowed": false }, "prolong_skipping": { "allowed": false }, "reactivate": { "allowed": false }, "update_address": { "allowed": true }, "update_payment_method": { "allowed": true }, "add_one_time_item": { "allowed": false }, "add_subscription_item": { "allowed": true }, "change_billing_cycle": { "allowed": true } }, "metadata": [ { "id": 1, "name": "Color", "slug": "color-red", "description": "description", "unit": "kg", "data_type": "single_line_string", "preset": true, "multiple": true, "variant": true, "save_behavior": "customer", "editable": true, "values": [ {} ] } ], "active": true, "paused": false, "paused_at": null, "skipping_until": null, "last_payment_at": "2023-04-23T00:45:00.000000Z", "unpaid": false, "cancellation_requested": false, "waiting_until": null, "cancelled_at": null, "switched_at": null, "previous_subscription_id": null, "skipping_prolonged": false, "test": false, "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" }

Cancel a subscription

POST /subscriptions/{subscription_id}/cancel

Cancels a subscription for a given reason.

Path parameters

subscription_idRequiredinteger

The ID of the subscription to cancel

Request body

Cancellation Reasons Body

reason_idoptionalinteger | null

The ID of one of the shop's cancellation reasons (GET /cancellation/reasons); any other ID answers 422. Stored only when the shop's plan includes cancellation reasons, and silently dropped otherwise.

extra_feedbackoptionalstring | null

Additional feedback from the customer

typeoptionalstring | null

Optional cancellation type. Only 'end_of_period' is accepted; any other value responds with 400 (error code cancellation_type_not_allowed). When omitted, committed subscriptions default to cancel at end of commitment; non-committed subscriptions cancel immediately.

Possible values: end_of_period.

ReturnsSubscription

Subscription object response

Error responses

400object

The subscription is not active (subscription_not_active), is already scheduled for cancellation or has a pending cancellation request (cancellation_scheduled), the shop has cancellation requests enabled so the customer must request a cancellation instead (cancellation_request_required), or type is a value other than end_of_period (cancellation_type_not_allowed).

404object

No subscription with this ID exists, or it belongs to another customer.

422object

reason_id is not a cancellation reason of the shop; extra_feedback is not a string or is longer than 255 characters; or expand is not an array.

429object

Another rate-limited request from the same customer (or from the same IP when no customer token is sent) is still in progress.

curl -X POST https://api.subbly.co/storefront/v1/subscriptions/{subscription_id}/cancel \ -H 'X-API-KEY: <api-key>' \ -H 'Authorization: Bearer <access-token>' \ -H 'Content-Type: application/json' \ -d '{ "reason_id": 1, "extra_feedback": "extra_feedback", "type": "end_of_period" }'
Response
{ "id": 1, "customer_id": 1, "customer": { "id": 8435732, "first_name": "John", "last_name": "Smith", "email": "test@test.com", "marketing_consent": false, "tos_consent_at": "2022-04-01T00:00:00.000000Z", "active_subscriptions_count": 0, "external_id": "external_id", "metadata": [ {} ], "created_at": "2022-04-01T00:00:00.000000Z" }, "referred_by": 1, "product_id": 1, "product": { "id": 1, "bundle_id": 1, "bundle": {}, "bundle_ruleset_id": 1, "bundle_ruleset": {}, "slug": "yellow-t-shirt-with-pokemon-print", "type": "one_time", "name": "Yellow T-shirt with pokemon print", "description": "Yellow T-shirt with pokemon print", "delivery_info": "Free shipping on orders over $100", "collect_shipping_address": true, "gifting_enabled": true, "digital": false, "images": [ {} ], "metadata": [ {} ], "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z", "pricings": [ {} ], "plans": [ {} ], "change_product_collection_id": 1 }, "quantity": 1, "shipping_address_id": 1, "shipping_address": { "id": 3486, "first_name": "John", "last_name": "Smith", "country_id": 230, "region_id": 1231, "country": "United States", "region": "California", "phone": "+13232380656", "company_name": null, "address_one": "7609 Mckinley Ave", "address_two": null, "city": "Los Angeles", "zip": "90044" }, "shipping_method_id": 1, "shipping_method": { "id": 1, "type": "shipping_option", "method": {} }, "billing_address_id": 1, "billing_address": { "id": 3486, "first_name": "John", "last_name": "Smith", "country_id": 230, "region_id": 1231, "country": "United States", "region": "California", "phone": "+13232380656", "company_name": null, "address_one": "7609 Mckinley Ave", "address_two": null, "city": "Los Angeles", "zip": "90044" }, "payment_method_id": 1, "payment_method": { "id": 567, "type": "card", "identifier": "4242", "card": { "last_four": "4242", "expiry_month": "2", "expiry_year": "2099", "type": "credit", "brand": "visa" }, "ideal": { "bank": "ING", "bic": "INGBNL2A", "email": "test@subbly.co", "name": "John Doe" }, "bancontact": { "email": "test@subbly.co", "name": "John Doe" }, "acss_debit": { "email": "test@subbly.co", "name": "John Doe", "bank_name": "Royal Bank of Canada", "transit_number": "12345", "institution_number": "123", "last_four": "6789" }, "us_bank_account": { "email": "test@subbly.co", "name": "John Doe", "bank_name": "US Bank", "last_four": "6789", "routing_number": "123456789", "account_type": "checking", "account_holder_type": "individual" }, "sepa_debit": { "email": "test@subbly.co", "name": "John Doe", "iban_last4": "6789", "bank_code": "123456", "country": "DE", "branch_code": "12345" }, "sofort": { "email": "test@subbly.co", "name": "John Doe", "country": "DE" }, "link": { "email": "test@subbly.co", "name": "John Doe" }, "cashapp": { "email": "test@subbly.co", "name": "John Doe", "buyer_id": "cashapp:123456789", "cash_tag": "$subbly" }, "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" }, "currency_code": "USD", "survey": { "version": 2, "survey_id": 1, "data": [ {} ], "items_count": 1, "items": [ { "id": 1, "product_id": 1, "survey_id": 1, "data": [ {} ] } ] }, "preferences": { "version": 2, "survey_id": 1, "data": [ {} ], "items_count": 1, "items": [ { "id": 1, "product_id": 1, "survey_id": 1, "data": [ {} ] } ] }, "bundle": { "preferences": [ {} ], "items": [ {} ] }, "gift": { "message": "message", "starts_at": "2022-02-24T04:00:00.000000Z", "order_limit": 1 }, "commitment_term_total_payments": 1, "cancel_at_end_of_commitment": true, "next_payment_date": "2023-04-23T00:45:00.000000Z", "starts_at": "2023-04-23T00:45:00.000000Z", "past_due": false, "next_shipment_at": "2023-04-23T00:45:00.000000Z", "successful_charges_count": 1, "charges_limit": 1, "status": "active", "cancel_at_period_end": true, "cancellations": [ { "id": 1, "subscription_id": 1, "reason": "reason", "start": "2023-04-23T00:45:00.000000Z", "end": "2023-04-23T00:45:00.000000Z", "extra_feedback": "extra_feedback", "reason_submitted_on": "2023-04-23T00:45:00.000000Z", "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" } ], "discounts": [ { "id": 1, "customer_id": 1, "amount_off": 1, "percent_off": 1, "coupon_id": 1, "coupon": {}, "start": "2023-04-23T00:45:00.000000Z", "end": "2023-04-23T00:45:00.000000Z", "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" } ], "addons": [ { "id": 1, "subscription_id": 1, "product_id": 1, "product": {}, "duration": 1, "quantity": 1, "addon": true, "origin": "coupon", "preferences": {}, "bundle": {}, "actions": { "remove": { "allowed": true }, "change_quantity": { "allowed": false }, "change_plan": { "allowed": true } }, "discounts": [ {} ], "metadata": [ {} ], "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" } ], "items": [ { "id": 1, "subscription_id": 1, "product_id": 1, "product": {}, "duration": 1, "quantity": 1, "addon": true, "origin": "coupon", "preferences": {}, "bundle": {}, "actions": { "remove": { "allowed": true }, "change_quantity": { "allowed": false }, "change_plan": { "allowed": true } }, "discounts": [ {} ], "metadata": [ {} ], "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" } ], "actions": { "cancel": { "allowed": true }, "set_to_cancel": { "allowed": false }, "undo_set_to_cancel": { "allowed": false }, "cancellation_request": { "allowed": false }, "undo_cancellation_request": { "allowed": false }, "undo_cancellation": { "allowed": false }, "pause": { "allowed": false }, "resume": { "allowed": false }, "skip": { "allowed": false }, "prolong_skipping": { "allowed": false }, "reactivate": { "allowed": false }, "update_address": { "allowed": true }, "update_payment_method": { "allowed": true }, "add_one_time_item": { "allowed": false }, "add_subscription_item": { "allowed": true }, "change_billing_cycle": { "allowed": true } }, "metadata": [ { "id": 1, "name": "Color", "slug": "color-red", "description": "description", "unit": "kg", "data_type": "single_line_string", "preset": true, "multiple": true, "variant": true, "save_behavior": "customer", "editable": true, "values": [ {} ] } ], "active": true, "paused": false, "paused_at": null, "skipping_until": null, "last_payment_at": "2023-04-23T00:45:00.000000Z", "unpaid": false, "cancellation_requested": false, "waiting_until": null, "cancelled_at": null, "switched_at": null, "previous_subscription_id": null, "skipping_prolonged": false, "test": false, "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" }

Undo cancellation

DELETE /subscriptions/{subscription_id}/undo_cancellation

Clears a cancellation scheduled for the end of the current billing period. A cancellation scheduled for the end of the commitment term is cleared through POST undo_set_to_cancel.

Path parameters

subscription_idRequiredinteger

The ID of the subscription

ReturnsSubscription

Subscription object response

Error responses

400object

The subscription is not active (subscription_not_active), or no period-end cancellation is scheduled (no_cancellation_scheduled).

404object

No subscription with this ID exists, or it belongs to another customer.

curl -X DELETE https://api.subbly.co/storefront/v1/subscriptions/{subscription_id}/undo_cancellation \ -H 'X-API-KEY: <api-key>' \ -H 'Authorization: Bearer <access-token>'
Response
{ "id": 1, "customer_id": 1, "customer": { "id": 8435732, "first_name": "John", "last_name": "Smith", "email": "test@test.com", "marketing_consent": false, "tos_consent_at": "2022-04-01T00:00:00.000000Z", "active_subscriptions_count": 0, "external_id": "external_id", "metadata": [ {} ], "created_at": "2022-04-01T00:00:00.000000Z" }, "referred_by": 1, "product_id": 1, "product": { "id": 1, "bundle_id": 1, "bundle": {}, "bundle_ruleset_id": 1, "bundle_ruleset": {}, "slug": "yellow-t-shirt-with-pokemon-print", "type": "one_time", "name": "Yellow T-shirt with pokemon print", "description": "Yellow T-shirt with pokemon print", "delivery_info": "Free shipping on orders over $100", "collect_shipping_address": true, "gifting_enabled": true, "digital": false, "images": [ {} ], "metadata": [ {} ], "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z", "pricings": [ {} ], "plans": [ {} ], "change_product_collection_id": 1 }, "quantity": 1, "shipping_address_id": 1, "shipping_address": { "id": 3486, "first_name": "John", "last_name": "Smith", "country_id": 230, "region_id": 1231, "country": "United States", "region": "California", "phone": "+13232380656", "company_name": null, "address_one": "7609 Mckinley Ave", "address_two": null, "city": "Los Angeles", "zip": "90044" }, "shipping_method_id": 1, "shipping_method": { "id": 1, "type": "shipping_option", "method": {} }, "billing_address_id": 1, "billing_address": { "id": 3486, "first_name": "John", "last_name": "Smith", "country_id": 230, "region_id": 1231, "country": "United States", "region": "California", "phone": "+13232380656", "company_name": null, "address_one": "7609 Mckinley Ave", "address_two": null, "city": "Los Angeles", "zip": "90044" }, "payment_method_id": 1, "payment_method": { "id": 567, "type": "card", "identifier": "4242", "card": { "last_four": "4242", "expiry_month": "2", "expiry_year": "2099", "type": "credit", "brand": "visa" }, "ideal": { "bank": "ING", "bic": "INGBNL2A", "email": "test@subbly.co", "name": "John Doe" }, "bancontact": { "email": "test@subbly.co", "name": "John Doe" }, "acss_debit": { "email": "test@subbly.co", "name": "John Doe", "bank_name": "Royal Bank of Canada", "transit_number": "12345", "institution_number": "123", "last_four": "6789" }, "us_bank_account": { "email": "test@subbly.co", "name": "John Doe", "bank_name": "US Bank", "last_four": "6789", "routing_number": "123456789", "account_type": "checking", "account_holder_type": "individual" }, "sepa_debit": { "email": "test@subbly.co", "name": "John Doe", "iban_last4": "6789", "bank_code": "123456", "country": "DE", "branch_code": "12345" }, "sofort": { "email": "test@subbly.co", "name": "John Doe", "country": "DE" }, "link": { "email": "test@subbly.co", "name": "John Doe" }, "cashapp": { "email": "test@subbly.co", "name": "John Doe", "buyer_id": "cashapp:123456789", "cash_tag": "$subbly" }, "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" }, "currency_code": "USD", "survey": { "version": 2, "survey_id": 1, "data": [ {} ], "items_count": 1, "items": [ { "id": 1, "product_id": 1, "survey_id": 1, "data": [ {} ] } ] }, "preferences": { "version": 2, "survey_id": 1, "data": [ {} ], "items_count": 1, "items": [ { "id": 1, "product_id": 1, "survey_id": 1, "data": [ {} ] } ] }, "bundle": { "preferences": [ {} ], "items": [ {} ] }, "gift": { "message": "message", "starts_at": "2022-02-24T04:00:00.000000Z", "order_limit": 1 }, "commitment_term_total_payments": 1, "cancel_at_end_of_commitment": true, "next_payment_date": "2023-04-23T00:45:00.000000Z", "starts_at": "2023-04-23T00:45:00.000000Z", "past_due": false, "next_shipment_at": "2023-04-23T00:45:00.000000Z", "successful_charges_count": 1, "charges_limit": 1, "status": "active", "cancel_at_period_end": true, "cancellations": [ { "id": 1, "subscription_id": 1, "reason": "reason", "start": "2023-04-23T00:45:00.000000Z", "end": "2023-04-23T00:45:00.000000Z", "extra_feedback": "extra_feedback", "reason_submitted_on": "2023-04-23T00:45:00.000000Z", "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" } ], "discounts": [ { "id": 1, "customer_id": 1, "amount_off": 1, "percent_off": 1, "coupon_id": 1, "coupon": {}, "start": "2023-04-23T00:45:00.000000Z", "end": "2023-04-23T00:45:00.000000Z", "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" } ], "addons": [ { "id": 1, "subscription_id": 1, "product_id": 1, "product": {}, "duration": 1, "quantity": 1, "addon": true, "origin": "coupon", "preferences": {}, "bundle": {}, "actions": { "remove": { "allowed": true }, "change_quantity": { "allowed": false }, "change_plan": { "allowed": true } }, "discounts": [ {} ], "metadata": [ {} ], "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" } ], "items": [ { "id": 1, "subscription_id": 1, "product_id": 1, "product": {}, "duration": 1, "quantity": 1, "addon": true, "origin": "coupon", "preferences": {}, "bundle": {}, "actions": { "remove": { "allowed": true }, "change_quantity": { "allowed": false }, "change_plan": { "allowed": true } }, "discounts": [ {} ], "metadata": [ {} ], "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" } ], "actions": { "cancel": { "allowed": true }, "set_to_cancel": { "allowed": false }, "undo_set_to_cancel": { "allowed": false }, "cancellation_request": { "allowed": false }, "undo_cancellation_request": { "allowed": false }, "undo_cancellation": { "allowed": false }, "pause": { "allowed": false }, "resume": { "allowed": false }, "skip": { "allowed": false }, "prolong_skipping": { "allowed": false }, "reactivate": { "allowed": false }, "update_address": { "allowed": true }, "update_payment_method": { "allowed": true }, "add_one_time_item": { "allowed": false }, "add_subscription_item": { "allowed": true }, "change_billing_cycle": { "allowed": true } }, "metadata": [ { "id": 1, "name": "Color", "slug": "color-red", "description": "description", "unit": "kg", "data_type": "single_line_string", "preset": true, "multiple": true, "variant": true, "save_behavior": "customer", "editable": true, "values": [ {} ] } ], "active": true, "paused": false, "paused_at": null, "skipping_until": null, "last_payment_at": "2023-04-23T00:45:00.000000Z", "unpaid": false, "cancellation_requested": false, "waiting_until": null, "cancelled_at": null, "switched_at": null, "previous_subscription_id": null, "skipping_prolonged": false, "test": false, "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" }

Undo a scheduled cancellation

POST /subscriptions/{subscription_id}/undo_set_to_cancel

Clears a cancellation scheduled for the end of the commitment term. A cancellation scheduled for the end of the current billing period is cleared through DELETE undo_cancellation.

Path parameters

subscription_idRequiredinteger

Subscription ID

ReturnsSubscription

Subscription object response

Error responses

400object

The subscription is not active (subscription_not_active), or no end-of-commitment cancellation is scheduled (no_cancellation_scheduled).

404object

The subscription does not exist or does not belong to the customer.

curl -X POST https://api.subbly.co/storefront/v1/subscriptions/{subscription_id}/undo_set_to_cancel \ -H 'X-API-KEY: <api-key>' \ -H 'Authorization: Bearer <access-token>'
Response
{ "id": 1, "customer_id": 1, "customer": { "id": 8435732, "first_name": "John", "last_name": "Smith", "email": "test@test.com", "marketing_consent": false, "tos_consent_at": "2022-04-01T00:00:00.000000Z", "active_subscriptions_count": 0, "external_id": "external_id", "metadata": [ {} ], "created_at": "2022-04-01T00:00:00.000000Z" }, "referred_by": 1, "product_id": 1, "product": { "id": 1, "bundle_id": 1, "bundle": {}, "bundle_ruleset_id": 1, "bundle_ruleset": {}, "slug": "yellow-t-shirt-with-pokemon-print", "type": "one_time", "name": "Yellow T-shirt with pokemon print", "description": "Yellow T-shirt with pokemon print", "delivery_info": "Free shipping on orders over $100", "collect_shipping_address": true, "gifting_enabled": true, "digital": false, "images": [ {} ], "metadata": [ {} ], "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z", "pricings": [ {} ], "plans": [ {} ], "change_product_collection_id": 1 }, "quantity": 1, "shipping_address_id": 1, "shipping_address": { "id": 3486, "first_name": "John", "last_name": "Smith", "country_id": 230, "region_id": 1231, "country": "United States", "region": "California", "phone": "+13232380656", "company_name": null, "address_one": "7609 Mckinley Ave", "address_two": null, "city": "Los Angeles", "zip": "90044" }, "shipping_method_id": 1, "shipping_method": { "id": 1, "type": "shipping_option", "method": {} }, "billing_address_id": 1, "billing_address": { "id": 3486, "first_name": "John", "last_name": "Smith", "country_id": 230, "region_id": 1231, "country": "United States", "region": "California", "phone": "+13232380656", "company_name": null, "address_one": "7609 Mckinley Ave", "address_two": null, "city": "Los Angeles", "zip": "90044" }, "payment_method_id": 1, "payment_method": { "id": 567, "type": "card", "identifier": "4242", "card": { "last_four": "4242", "expiry_month": "2", "expiry_year": "2099", "type": "credit", "brand": "visa" }, "ideal": { "bank": "ING", "bic": "INGBNL2A", "email": "test@subbly.co", "name": "John Doe" }, "bancontact": { "email": "test@subbly.co", "name": "John Doe" }, "acss_debit": { "email": "test@subbly.co", "name": "John Doe", "bank_name": "Royal Bank of Canada", "transit_number": "12345", "institution_number": "123", "last_four": "6789" }, "us_bank_account": { "email": "test@subbly.co", "name": "John Doe", "bank_name": "US Bank", "last_four": "6789", "routing_number": "123456789", "account_type": "checking", "account_holder_type": "individual" }, "sepa_debit": { "email": "test@subbly.co", "name": "John Doe", "iban_last4": "6789", "bank_code": "123456", "country": "DE", "branch_code": "12345" }, "sofort": { "email": "test@subbly.co", "name": "John Doe", "country": "DE" }, "link": { "email": "test@subbly.co", "name": "John Doe" }, "cashapp": { "email": "test@subbly.co", "name": "John Doe", "buyer_id": "cashapp:123456789", "cash_tag": "$subbly" }, "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" }, "currency_code": "USD", "survey": { "version": 2, "survey_id": 1, "data": [ {} ], "items_count": 1, "items": [ { "id": 1, "product_id": 1, "survey_id": 1, "data": [ {} ] } ] }, "preferences": { "version": 2, "survey_id": 1, "data": [ {} ], "items_count": 1, "items": [ { "id": 1, "product_id": 1, "survey_id": 1, "data": [ {} ] } ] }, "bundle": { "preferences": [ {} ], "items": [ {} ] }, "gift": { "message": "message", "starts_at": "2022-02-24T04:00:00.000000Z", "order_limit": 1 }, "commitment_term_total_payments": 1, "cancel_at_end_of_commitment": true, "next_payment_date": "2023-04-23T00:45:00.000000Z", "starts_at": "2023-04-23T00:45:00.000000Z", "past_due": false, "next_shipment_at": "2023-04-23T00:45:00.000000Z", "successful_charges_count": 1, "charges_limit": 1, "status": "active", "cancel_at_period_end": true, "cancellations": [ { "id": 1, "subscription_id": 1, "reason": "reason", "start": "2023-04-23T00:45:00.000000Z", "end": "2023-04-23T00:45:00.000000Z", "extra_feedback": "extra_feedback", "reason_submitted_on": "2023-04-23T00:45:00.000000Z", "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" } ], "discounts": [ { "id": 1, "customer_id": 1, "amount_off": 1, "percent_off": 1, "coupon_id": 1, "coupon": {}, "start": "2023-04-23T00:45:00.000000Z", "end": "2023-04-23T00:45:00.000000Z", "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" } ], "addons": [ { "id": 1, "subscription_id": 1, "product_id": 1, "product": {}, "duration": 1, "quantity": 1, "addon": true, "origin": "coupon", "preferences": {}, "bundle": {}, "actions": { "remove": { "allowed": true }, "change_quantity": { "allowed": false }, "change_plan": { "allowed": true } }, "discounts": [ {} ], "metadata": [ {} ], "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" } ], "items": [ { "id": 1, "subscription_id": 1, "product_id": 1, "product": {}, "duration": 1, "quantity": 1, "addon": true, "origin": "coupon", "preferences": {}, "bundle": {}, "actions": { "remove": { "allowed": true }, "change_quantity": { "allowed": false }, "change_plan": { "allowed": true } }, "discounts": [ {} ], "metadata": [ {} ], "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" } ], "actions": { "cancel": { "allowed": true }, "set_to_cancel": { "allowed": false }, "undo_set_to_cancel": { "allowed": false }, "cancellation_request": { "allowed": false }, "undo_cancellation_request": { "allowed": false }, "undo_cancellation": { "allowed": false }, "pause": { "allowed": false }, "resume": { "allowed": false }, "skip": { "allowed": false }, "prolong_skipping": { "allowed": false }, "reactivate": { "allowed": false }, "update_address": { "allowed": true }, "update_payment_method": { "allowed": true }, "add_one_time_item": { "allowed": false }, "add_subscription_item": { "allowed": true }, "change_billing_cycle": { "allowed": true } }, "metadata": [ { "id": 1, "name": "Color", "slug": "color-red", "description": "description", "unit": "kg", "data_type": "single_line_string", "preset": true, "multiple": true, "variant": true, "save_behavior": "customer", "editable": true, "values": [ {} ] } ], "active": true, "paused": false, "paused_at": null, "skipping_until": null, "last_payment_at": "2023-04-23T00:45:00.000000Z", "unpaid": false, "cancellation_requested": false, "waiting_until": null, "cancelled_at": null, "switched_at": null, "previous_subscription_id": null, "skipping_prolonged": false, "test": false, "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" }

Request a cancellation

POST /subscriptions/{subscription_id}/cancellation_request

Flags the subscription as having a pending cancellation request for the merchant to review. Available only when the shop has cancellation requests enabled.

Path parameters

subscription_idRequiredinteger

Subscription ID

ReturnsSubscription

Subscription object response

Error responses

400object

The subscription is not active (subscription_not_active), the shop has cancellation requests disabled (cancellation_request_disabled), or a cancellation request is already pending (cancellation_already_requested).

404object

The subscription does not exist or does not belong to the customer.

curl -X POST https://api.subbly.co/storefront/v1/subscriptions/{subscription_id}/cancellation_request \ -H 'X-API-KEY: <api-key>' \ -H 'Authorization: Bearer <access-token>'
Response
{ "id": 1, "customer_id": 1, "customer": { "id": 8435732, "first_name": "John", "last_name": "Smith", "email": "test@test.com", "marketing_consent": false, "tos_consent_at": "2022-04-01T00:00:00.000000Z", "active_subscriptions_count": 0, "external_id": "external_id", "metadata": [ {} ], "created_at": "2022-04-01T00:00:00.000000Z" }, "referred_by": 1, "product_id": 1, "product": { "id": 1, "bundle_id": 1, "bundle": {}, "bundle_ruleset_id": 1, "bundle_ruleset": {}, "slug": "yellow-t-shirt-with-pokemon-print", "type": "one_time", "name": "Yellow T-shirt with pokemon print", "description": "Yellow T-shirt with pokemon print", "delivery_info": "Free shipping on orders over $100", "collect_shipping_address": true, "gifting_enabled": true, "digital": false, "images": [ {} ], "metadata": [ {} ], "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z", "pricings": [ {} ], "plans": [ {} ], "change_product_collection_id": 1 }, "quantity": 1, "shipping_address_id": 1, "shipping_address": { "id": 3486, "first_name": "John", "last_name": "Smith", "country_id": 230, "region_id": 1231, "country": "United States", "region": "California", "phone": "+13232380656", "company_name": null, "address_one": "7609 Mckinley Ave", "address_two": null, "city": "Los Angeles", "zip": "90044" }, "shipping_method_id": 1, "shipping_method": { "id": 1, "type": "shipping_option", "method": {} }, "billing_address_id": 1, "billing_address": { "id": 3486, "first_name": "John", "last_name": "Smith", "country_id": 230, "region_id": 1231, "country": "United States", "region": "California", "phone": "+13232380656", "company_name": null, "address_one": "7609 Mckinley Ave", "address_two": null, "city": "Los Angeles", "zip": "90044" }, "payment_method_id": 1, "payment_method": { "id": 567, "type": "card", "identifier": "4242", "card": { "last_four": "4242", "expiry_month": "2", "expiry_year": "2099", "type": "credit", "brand": "visa" }, "ideal": { "bank": "ING", "bic": "INGBNL2A", "email": "test@subbly.co", "name": "John Doe" }, "bancontact": { "email": "test@subbly.co", "name": "John Doe" }, "acss_debit": { "email": "test@subbly.co", "name": "John Doe", "bank_name": "Royal Bank of Canada", "transit_number": "12345", "institution_number": "123", "last_four": "6789" }, "us_bank_account": { "email": "test@subbly.co", "name": "John Doe", "bank_name": "US Bank", "last_four": "6789", "routing_number": "123456789", "account_type": "checking", "account_holder_type": "individual" }, "sepa_debit": { "email": "test@subbly.co", "name": "John Doe", "iban_last4": "6789", "bank_code": "123456", "country": "DE", "branch_code": "12345" }, "sofort": { "email": "test@subbly.co", "name": "John Doe", "country": "DE" }, "link": { "email": "test@subbly.co", "name": "John Doe" }, "cashapp": { "email": "test@subbly.co", "name": "John Doe", "buyer_id": "cashapp:123456789", "cash_tag": "$subbly" }, "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" }, "currency_code": "USD", "survey": { "version": 2, "survey_id": 1, "data": [ {} ], "items_count": 1, "items": [ { "id": 1, "product_id": 1, "survey_id": 1, "data": [ {} ] } ] }, "preferences": { "version": 2, "survey_id": 1, "data": [ {} ], "items_count": 1, "items": [ { "id": 1, "product_id": 1, "survey_id": 1, "data": [ {} ] } ] }, "bundle": { "preferences": [ {} ], "items": [ {} ] }, "gift": { "message": "message", "starts_at": "2022-02-24T04:00:00.000000Z", "order_limit": 1 }, "commitment_term_total_payments": 1, "cancel_at_end_of_commitment": true, "next_payment_date": "2023-04-23T00:45:00.000000Z", "starts_at": "2023-04-23T00:45:00.000000Z", "past_due": false, "next_shipment_at": "2023-04-23T00:45:00.000000Z", "successful_charges_count": 1, "charges_limit": 1, "status": "active", "cancel_at_period_end": true, "cancellations": [ { "id": 1, "subscription_id": 1, "reason": "reason", "start": "2023-04-23T00:45:00.000000Z", "end": "2023-04-23T00:45:00.000000Z", "extra_feedback": "extra_feedback", "reason_submitted_on": "2023-04-23T00:45:00.000000Z", "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" } ], "discounts": [ { "id": 1, "customer_id": 1, "amount_off": 1, "percent_off": 1, "coupon_id": 1, "coupon": {}, "start": "2023-04-23T00:45:00.000000Z", "end": "2023-04-23T00:45:00.000000Z", "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" } ], "addons": [ { "id": 1, "subscription_id": 1, "product_id": 1, "product": {}, "duration": 1, "quantity": 1, "addon": true, "origin": "coupon", "preferences": {}, "bundle": {}, "actions": { "remove": { "allowed": true }, "change_quantity": { "allowed": false }, "change_plan": { "allowed": true } }, "discounts": [ {} ], "metadata": [ {} ], "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" } ], "items": [ { "id": 1, "subscription_id": 1, "product_id": 1, "product": {}, "duration": 1, "quantity": 1, "addon": true, "origin": "coupon", "preferences": {}, "bundle": {}, "actions": { "remove": { "allowed": true }, "change_quantity": { "allowed": false }, "change_plan": { "allowed": true } }, "discounts": [ {} ], "metadata": [ {} ], "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" } ], "actions": { "cancel": { "allowed": true }, "set_to_cancel": { "allowed": false }, "undo_set_to_cancel": { "allowed": false }, "cancellation_request": { "allowed": false }, "undo_cancellation_request": { "allowed": false }, "undo_cancellation": { "allowed": false }, "pause": { "allowed": false }, "resume": { "allowed": false }, "skip": { "allowed": false }, "prolong_skipping": { "allowed": false }, "reactivate": { "allowed": false }, "update_address": { "allowed": true }, "update_payment_method": { "allowed": true }, "add_one_time_item": { "allowed": false }, "add_subscription_item": { "allowed": true }, "change_billing_cycle": { "allowed": true } }, "metadata": [ { "id": 1, "name": "Color", "slug": "color-red", "description": "description", "unit": "kg", "data_type": "single_line_string", "preset": true, "multiple": true, "variant": true, "save_behavior": "customer", "editable": true, "values": [ {} ] } ], "active": true, "paused": false, "paused_at": null, "skipping_until": null, "last_payment_at": "2023-04-23T00:45:00.000000Z", "unpaid": false, "cancellation_requested": false, "waiting_until": null, "cancelled_at": null, "switched_at": null, "previous_subscription_id": null, "skipping_prolonged": false, "test": false, "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" }

Withdraw a cancellation request

POST /subscriptions/{subscription_id}/undo_cancellation_request

Clears a pending cancellation request.

Path parameters

subscription_idRequiredinteger

Subscription ID

ReturnsSubscription

Subscription object response

Error responses

400object

The subscription is not active (subscription_not_active), or it has no pending cancellation request (no_cancellation_request).

404object

The subscription does not exist or does not belong to the customer.

curl -X POST https://api.subbly.co/storefront/v1/subscriptions/{subscription_id}/undo_cancellation_request \ -H 'X-API-KEY: <api-key>' \ -H 'Authorization: Bearer <access-token>'
Response
{ "id": 1, "customer_id": 1, "customer": { "id": 8435732, "first_name": "John", "last_name": "Smith", "email": "test@test.com", "marketing_consent": false, "tos_consent_at": "2022-04-01T00:00:00.000000Z", "active_subscriptions_count": 0, "external_id": "external_id", "metadata": [ {} ], "created_at": "2022-04-01T00:00:00.000000Z" }, "referred_by": 1, "product_id": 1, "product": { "id": 1, "bundle_id": 1, "bundle": {}, "bundle_ruleset_id": 1, "bundle_ruleset": {}, "slug": "yellow-t-shirt-with-pokemon-print", "type": "one_time", "name": "Yellow T-shirt with pokemon print", "description": "Yellow T-shirt with pokemon print", "delivery_info": "Free shipping on orders over $100", "collect_shipping_address": true, "gifting_enabled": true, "digital": false, "images": [ {} ], "metadata": [ {} ], "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z", "pricings": [ {} ], "plans": [ {} ], "change_product_collection_id": 1 }, "quantity": 1, "shipping_address_id": 1, "shipping_address": { "id": 3486, "first_name": "John", "last_name": "Smith", "country_id": 230, "region_id": 1231, "country": "United States", "region": "California", "phone": "+13232380656", "company_name": null, "address_one": "7609 Mckinley Ave", "address_two": null, "city": "Los Angeles", "zip": "90044" }, "shipping_method_id": 1, "shipping_method": { "id": 1, "type": "shipping_option", "method": {} }, "billing_address_id": 1, "billing_address": { "id": 3486, "first_name": "John", "last_name": "Smith", "country_id": 230, "region_id": 1231, "country": "United States", "region": "California", "phone": "+13232380656", "company_name": null, "address_one": "7609 Mckinley Ave", "address_two": null, "city": "Los Angeles", "zip": "90044" }, "payment_method_id": 1, "payment_method": { "id": 567, "type": "card", "identifier": "4242", "card": { "last_four": "4242", "expiry_month": "2", "expiry_year": "2099", "type": "credit", "brand": "visa" }, "ideal": { "bank": "ING", "bic": "INGBNL2A", "email": "test@subbly.co", "name": "John Doe" }, "bancontact": { "email": "test@subbly.co", "name": "John Doe" }, "acss_debit": { "email": "test@subbly.co", "name": "John Doe", "bank_name": "Royal Bank of Canada", "transit_number": "12345", "institution_number": "123", "last_four": "6789" }, "us_bank_account": { "email": "test@subbly.co", "name": "John Doe", "bank_name": "US Bank", "last_four": "6789", "routing_number": "123456789", "account_type": "checking", "account_holder_type": "individual" }, "sepa_debit": { "email": "test@subbly.co", "name": "John Doe", "iban_last4": "6789", "bank_code": "123456", "country": "DE", "branch_code": "12345" }, "sofort": { "email": "test@subbly.co", "name": "John Doe", "country": "DE" }, "link": { "email": "test@subbly.co", "name": "John Doe" }, "cashapp": { "email": "test@subbly.co", "name": "John Doe", "buyer_id": "cashapp:123456789", "cash_tag": "$subbly" }, "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" }, "currency_code": "USD", "survey": { "version": 2, "survey_id": 1, "data": [ {} ], "items_count": 1, "items": [ { "id": 1, "product_id": 1, "survey_id": 1, "data": [ {} ] } ] }, "preferences": { "version": 2, "survey_id": 1, "data": [ {} ], "items_count": 1, "items": [ { "id": 1, "product_id": 1, "survey_id": 1, "data": [ {} ] } ] }, "bundle": { "preferences": [ {} ], "items": [ {} ] }, "gift": { "message": "message", "starts_at": "2022-02-24T04:00:00.000000Z", "order_limit": 1 }, "commitment_term_total_payments": 1, "cancel_at_end_of_commitment": true, "next_payment_date": "2023-04-23T00:45:00.000000Z", "starts_at": "2023-04-23T00:45:00.000000Z", "past_due": false, "next_shipment_at": "2023-04-23T00:45:00.000000Z", "successful_charges_count": 1, "charges_limit": 1, "status": "active", "cancel_at_period_end": true, "cancellations": [ { "id": 1, "subscription_id": 1, "reason": "reason", "start": "2023-04-23T00:45:00.000000Z", "end": "2023-04-23T00:45:00.000000Z", "extra_feedback": "extra_feedback", "reason_submitted_on": "2023-04-23T00:45:00.000000Z", "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" } ], "discounts": [ { "id": 1, "customer_id": 1, "amount_off": 1, "percent_off": 1, "coupon_id": 1, "coupon": {}, "start": "2023-04-23T00:45:00.000000Z", "end": "2023-04-23T00:45:00.000000Z", "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" } ], "addons": [ { "id": 1, "subscription_id": 1, "product_id": 1, "product": {}, "duration": 1, "quantity": 1, "addon": true, "origin": "coupon", "preferences": {}, "bundle": {}, "actions": { "remove": { "allowed": true }, "change_quantity": { "allowed": false }, "change_plan": { "allowed": true } }, "discounts": [ {} ], "metadata": [ {} ], "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" } ], "items": [ { "id": 1, "subscription_id": 1, "product_id": 1, "product": {}, "duration": 1, "quantity": 1, "addon": true, "origin": "coupon", "preferences": {}, "bundle": {}, "actions": { "remove": { "allowed": true }, "change_quantity": { "allowed": false }, "change_plan": { "allowed": true } }, "discounts": [ {} ], "metadata": [ {} ], "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" } ], "actions": { "cancel": { "allowed": true }, "set_to_cancel": { "allowed": false }, "undo_set_to_cancel": { "allowed": false }, "cancellation_request": { "allowed": false }, "undo_cancellation_request": { "allowed": false }, "undo_cancellation": { "allowed": false }, "pause": { "allowed": false }, "resume": { "allowed": false }, "skip": { "allowed": false }, "prolong_skipping": { "allowed": false }, "reactivate": { "allowed": false }, "update_address": { "allowed": true }, "update_payment_method": { "allowed": true }, "add_one_time_item": { "allowed": false }, "add_subscription_item": { "allowed": true }, "change_billing_cycle": { "allowed": true } }, "metadata": [ { "id": 1, "name": "Color", "slug": "color-red", "description": "description", "unit": "kg", "data_type": "single_line_string", "preset": true, "multiple": true, "variant": true, "save_behavior": "customer", "editable": true, "values": [ {} ] } ], "active": true, "paused": false, "paused_at": null, "skipping_until": null, "last_payment_at": "2023-04-23T00:45:00.000000Z", "unpaid": false, "cancellation_requested": false, "waiting_until": null, "cancelled_at": null, "switched_at": null, "previous_subscription_id": null, "skipping_prolonged": false, "test": false, "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" }

Skip upcoming renewals

POST /subscriptions/{subscription_id}/skip

Skips the subscription until the given date. skip_until must be one of the dates returned by GET /subscriptions/{subscription_id}/skipping_dates.

Path parameters

subscription_idRequiredinteger

Subscription ID

Request body

Skip subscription

skip_untilRequiredstring

Date (Y-m-d, after today) to skip until. Must be one of the dates from GET /subscriptions/{subscription_id}/skipping_dates.

Format: date.

ReturnsSubscription

Subscription object response

Error responses

400object

The subscription is not active (subscription_not_active), paused (subscription_paused), scheduled for cancellation or has a pending cancellation request (cancellation_scheduled), already skipping (already_skipping), waiting to start (subscription_waiting), the shop has skipping disabled (skipping_disabled), the subscription has fewer paid invoices than the shop's skipping minimum term (skipping_min_term_not_reached), or it is within its commitment term, meaning fewer paid invoices than the commitment's total payments or the shop auto-extends commitments (subscription_committed), or skip_until is not one of the allowed skipping dates (skip_date_not_allowed).

404object

The subscription does not exist or does not belong to the customer.

422object

Validation failed: skip_until is missing, not a Y-m-d date, or not after today.

curl -X POST https://api.subbly.co/storefront/v1/subscriptions/{subscription_id}/skip \ -H 'X-API-KEY: <api-key>' \ -H 'Authorization: Bearer <access-token>' \ -H 'Content-Type: application/json' \ -d '{ "skip_until": "2026-11-01" }'
Response
{ "id": 1, "customer_id": 1, "customer": { "id": 8435732, "first_name": "John", "last_name": "Smith", "email": "test@test.com", "marketing_consent": false, "tos_consent_at": "2022-04-01T00:00:00.000000Z", "active_subscriptions_count": 0, "external_id": "external_id", "metadata": [ {} ], "created_at": "2022-04-01T00:00:00.000000Z" }, "referred_by": 1, "product_id": 1, "product": { "id": 1, "bundle_id": 1, "bundle": {}, "bundle_ruleset_id": 1, "bundle_ruleset": {}, "slug": "yellow-t-shirt-with-pokemon-print", "type": "one_time", "name": "Yellow T-shirt with pokemon print", "description": "Yellow T-shirt with pokemon print", "delivery_info": "Free shipping on orders over $100", "collect_shipping_address": true, "gifting_enabled": true, "digital": false, "images": [ {} ], "metadata": [ {} ], "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z", "pricings": [ {} ], "plans": [ {} ], "change_product_collection_id": 1 }, "quantity": 1, "shipping_address_id": 1, "shipping_address": { "id": 3486, "first_name": "John", "last_name": "Smith", "country_id": 230, "region_id": 1231, "country": "United States", "region": "California", "phone": "+13232380656", "company_name": null, "address_one": "7609 Mckinley Ave", "address_two": null, "city": "Los Angeles", "zip": "90044" }, "shipping_method_id": 1, "shipping_method": { "id": 1, "type": "shipping_option", "method": {} }, "billing_address_id": 1, "billing_address": { "id": 3486, "first_name": "John", "last_name": "Smith", "country_id": 230, "region_id": 1231, "country": "United States", "region": "California", "phone": "+13232380656", "company_name": null, "address_one": "7609 Mckinley Ave", "address_two": null, "city": "Los Angeles", "zip": "90044" }, "payment_method_id": 1, "payment_method": { "id": 567, "type": "card", "identifier": "4242", "card": { "last_four": "4242", "expiry_month": "2", "expiry_year": "2099", "type": "credit", "brand": "visa" }, "ideal": { "bank": "ING", "bic": "INGBNL2A", "email": "test@subbly.co", "name": "John Doe" }, "bancontact": { "email": "test@subbly.co", "name": "John Doe" }, "acss_debit": { "email": "test@subbly.co", "name": "John Doe", "bank_name": "Royal Bank of Canada", "transit_number": "12345", "institution_number": "123", "last_four": "6789" }, "us_bank_account": { "email": "test@subbly.co", "name": "John Doe", "bank_name": "US Bank", "last_four": "6789", "routing_number": "123456789", "account_type": "checking", "account_holder_type": "individual" }, "sepa_debit": { "email": "test@subbly.co", "name": "John Doe", "iban_last4": "6789", "bank_code": "123456", "country": "DE", "branch_code": "12345" }, "sofort": { "email": "test@subbly.co", "name": "John Doe", "country": "DE" }, "link": { "email": "test@subbly.co", "name": "John Doe" }, "cashapp": { "email": "test@subbly.co", "name": "John Doe", "buyer_id": "cashapp:123456789", "cash_tag": "$subbly" }, "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" }, "currency_code": "USD", "survey": { "version": 2, "survey_id": 1, "data": [ {} ], "items_count": 1, "items": [ { "id": 1, "product_id": 1, "survey_id": 1, "data": [ {} ] } ] }, "preferences": { "version": 2, "survey_id": 1, "data": [ {} ], "items_count": 1, "items": [ { "id": 1, "product_id": 1, "survey_id": 1, "data": [ {} ] } ] }, "bundle": { "preferences": [ {} ], "items": [ {} ] }, "gift": { "message": "message", "starts_at": "2022-02-24T04:00:00.000000Z", "order_limit": 1 }, "commitment_term_total_payments": 1, "cancel_at_end_of_commitment": true, "next_payment_date": "2023-04-23T00:45:00.000000Z", "starts_at": "2023-04-23T00:45:00.000000Z", "past_due": false, "next_shipment_at": "2023-04-23T00:45:00.000000Z", "successful_charges_count": 1, "charges_limit": 1, "status": "active", "cancel_at_period_end": true, "cancellations": [ { "id": 1, "subscription_id": 1, "reason": "reason", "start": "2023-04-23T00:45:00.000000Z", "end": "2023-04-23T00:45:00.000000Z", "extra_feedback": "extra_feedback", "reason_submitted_on": "2023-04-23T00:45:00.000000Z", "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" } ], "discounts": [ { "id": 1, "customer_id": 1, "amount_off": 1, "percent_off": 1, "coupon_id": 1, "coupon": {}, "start": "2023-04-23T00:45:00.000000Z", "end": "2023-04-23T00:45:00.000000Z", "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" } ], "addons": [ { "id": 1, "subscription_id": 1, "product_id": 1, "product": {}, "duration": 1, "quantity": 1, "addon": true, "origin": "coupon", "preferences": {}, "bundle": {}, "actions": { "remove": { "allowed": true }, "change_quantity": { "allowed": false }, "change_plan": { "allowed": true } }, "discounts": [ {} ], "metadata": [ {} ], "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" } ], "items": [ { "id": 1, "subscription_id": 1, "product_id": 1, "product": {}, "duration": 1, "quantity": 1, "addon": true, "origin": "coupon", "preferences": {}, "bundle": {}, "actions": { "remove": { "allowed": true }, "change_quantity": { "allowed": false }, "change_plan": { "allowed": true } }, "discounts": [ {} ], "metadata": [ {} ], "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" } ], "actions": { "cancel": { "allowed": true }, "set_to_cancel": { "allowed": false }, "undo_set_to_cancel": { "allowed": false }, "cancellation_request": { "allowed": false }, "undo_cancellation_request": { "allowed": false }, "undo_cancellation": { "allowed": false }, "pause": { "allowed": false }, "resume": { "allowed": false }, "skip": { "allowed": false }, "prolong_skipping": { "allowed": false }, "reactivate": { "allowed": false }, "update_address": { "allowed": true }, "update_payment_method": { "allowed": true }, "add_one_time_item": { "allowed": false }, "add_subscription_item": { "allowed": true }, "change_billing_cycle": { "allowed": true } }, "metadata": [ { "id": 1, "name": "Color", "slug": "color-red", "description": "description", "unit": "kg", "data_type": "single_line_string", "preset": true, "multiple": true, "variant": true, "save_behavior": "customer", "editable": true, "values": [ {} ] } ], "active": true, "paused": false, "paused_at": null, "skipping_until": null, "last_payment_at": "2023-04-23T00:45:00.000000Z", "unpaid": false, "cancellation_requested": false, "waiting_until": null, "cancelled_at": null, "switched_at": null, "previous_subscription_id": null, "skipping_prolonged": false, "test": false, "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" }

Pause the subscription

POST /subscriptions/{subscription_id}/pause

Pauses the subscription until it is resumed. Pausing needs everything skipping needs (the shop allows skipping, the minimum term is reached, the subscription is active, not committed, not paused, skipping or waiting, and no cancellation is scheduled or requested), plus the shop's and the product's pause setting. Read actions.pause to know whether it is allowed.

Path parameters

subscription_idRequiredinteger

Subscription ID

ReturnsSubscription

Subscription object response

Error responses

400object

The subscription is not active (subscription_not_active), paused (subscription_paused), scheduled for cancellation or has a pending cancellation request (cancellation_scheduled), already skipping (already_skipping), waiting to start (subscription_waiting), the shop has skipping disabled (skipping_disabled), the subscription has fewer paid invoices than the shop's skipping minimum term (skipping_min_term_not_reached), or it is within its commitment term, meaning fewer paid invoices than the commitment's total payments or the shop auto-extends commitments (subscription_committed), the shop has customer pausing disabled (pause_disabled), or the product does not allow pausing (pause_disabled_for_product).

404object

The subscription does not exist or does not belong to the customer.

curl -X POST https://api.subbly.co/storefront/v1/subscriptions/{subscription_id}/pause \ -H 'X-API-KEY: <api-key>' \ -H 'Authorization: Bearer <access-token>'
Response
{ "id": 1, "customer_id": 1, "customer": { "id": 8435732, "first_name": "John", "last_name": "Smith", "email": "test@test.com", "marketing_consent": false, "tos_consent_at": "2022-04-01T00:00:00.000000Z", "active_subscriptions_count": 0, "external_id": "external_id", "metadata": [ {} ], "created_at": "2022-04-01T00:00:00.000000Z" }, "referred_by": 1, "product_id": 1, "product": { "id": 1, "bundle_id": 1, "bundle": {}, "bundle_ruleset_id": 1, "bundle_ruleset": {}, "slug": "yellow-t-shirt-with-pokemon-print", "type": "one_time", "name": "Yellow T-shirt with pokemon print", "description": "Yellow T-shirt with pokemon print", "delivery_info": "Free shipping on orders over $100", "collect_shipping_address": true, "gifting_enabled": true, "digital": false, "images": [ {} ], "metadata": [ {} ], "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z", "pricings": [ {} ], "plans": [ {} ], "change_product_collection_id": 1 }, "quantity": 1, "shipping_address_id": 1, "shipping_address": { "id": 3486, "first_name": "John", "last_name": "Smith", "country_id": 230, "region_id": 1231, "country": "United States", "region": "California", "phone": "+13232380656", "company_name": null, "address_one": "7609 Mckinley Ave", "address_two": null, "city": "Los Angeles", "zip": "90044" }, "shipping_method_id": 1, "shipping_method": { "id": 1, "type": "shipping_option", "method": {} }, "billing_address_id": 1, "billing_address": { "id": 3486, "first_name": "John", "last_name": "Smith", "country_id": 230, "region_id": 1231, "country": "United States", "region": "California", "phone": "+13232380656", "company_name": null, "address_one": "7609 Mckinley Ave", "address_two": null, "city": "Los Angeles", "zip": "90044" }, "payment_method_id": 1, "payment_method": { "id": 567, "type": "card", "identifier": "4242", "card": { "last_four": "4242", "expiry_month": "2", "expiry_year": "2099", "type": "credit", "brand": "visa" }, "ideal": { "bank": "ING", "bic": "INGBNL2A", "email": "test@subbly.co", "name": "John Doe" }, "bancontact": { "email": "test@subbly.co", "name": "John Doe" }, "acss_debit": { "email": "test@subbly.co", "name": "John Doe", "bank_name": "Royal Bank of Canada", "transit_number": "12345", "institution_number": "123", "last_four": "6789" }, "us_bank_account": { "email": "test@subbly.co", "name": "John Doe", "bank_name": "US Bank", "last_four": "6789", "routing_number": "123456789", "account_type": "checking", "account_holder_type": "individual" }, "sepa_debit": { "email": "test@subbly.co", "name": "John Doe", "iban_last4": "6789", "bank_code": "123456", "country": "DE", "branch_code": "12345" }, "sofort": { "email": "test@subbly.co", "name": "John Doe", "country": "DE" }, "link": { "email": "test@subbly.co", "name": "John Doe" }, "cashapp": { "email": "test@subbly.co", "name": "John Doe", "buyer_id": "cashapp:123456789", "cash_tag": "$subbly" }, "created_at": "2022-04-01T00:00:00.000000Z", "updated_at": "2022-04-01T00:00:00.000000Z" }, "currency_code": "USD", "survey": { "version": 2, "survey_id": 1, "data": [ {} ], "items_count": 1, "items": [ { "id": 1, "product_id": 1, "survey_id": 1, "data": [ {} ] } ] }, "preferences": { "version": 2, "survey_id": 1, "data": [ {} ], "items_count": 1, "items": [ { "id": 1, "product_id": 1, "survey_id": 1, "data": [ {} ] }
[...]
